> For the complete documentation index, see [llms.txt](https://developer.eagle.cool/plugin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.eagle.cool/plugin-api/api/library.md).

# library

## Methods <a href="#z1a5y" id="z1a5y"></a>

## info() <a href="#s7pkf" id="s7pkf"></a>

Get detailed information about the current repository, including folders, smart folders, tag groups, etc.

* Returns `Promise<data: Object>`
  * `data` Object - Various properties of the repository

```javascript
console.log(await eagle.library.info());
```

***

## Properties <a href="#adtwq" id="adtwq"></a>

The `library` module includes the following properties:

## `name` string <a href="#qxggi" id="qxggi"></a>

Returns the name of the current repository

```javascript
console.log(eagle.library.name)
// test
```

## `path` string <a href="#qxggi" id="qxggi"></a>

Returns the path where the current repository is located

```javascript
console.log(eagle.library.path);
// C:\Users\User\Pictures\Design.library
```

## `modificationTime` Integer

Returns the last modification time (timestamp)

```javascript
console.log(eagle.library.modificationTime);
// 1681281134495
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/api/library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
